Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request GET \
--url https://gdeltcloud.com/api/v2/monitors \
--header 'Authorization: Bearer <token>'import requests
url = "https://gdeltcloud.com/api/v2/monitors"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://gdeltcloud.com/api/v2/monitors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"success": true,
"monitors": [
{
"id": "5e1d3b89-9c34-4fa1-80fc-17f72f782b33",
"organization_id": "88949d2a-4f00-45cb-9d23-2d242ddfe74d",
"created_by": "c6951b53-952b-40bf-99fd-c9d97a176f38",
"name": "Port disruption watch",
"description": "New coverage of port closures and shipping disruption in the United States.",
"enabled": true,
"subject": {
"type": "topic"
},
"criteria": {
"data": "events_and_stories",
"search": "port closure shipping disruption",
"countries": [
"USA"
],
"family_filters": {
"cameoplus": {
"domains": [
"INFRASTRUCTURE"
],
"subcategories": []
},
"story": {
"categories": [
"cameoplus_infrastructure"
]
}
},
"fatalities_only": false
},
"trigger": {
"type": "new_matches"
},
"schedule": {
"cadence": "hourly",
"timezone": "UTC",
"daily_hour": 8
},
"delivery": {
"email": true,
"webhook": {
"configured": true,
"endpoint": "https://example.com/gdelt-webhook",
"consecutive_failures": 0,
"last_success_at": "2026-08-23T14:05:00.000Z",
"last_failure_at": null
}
},
"created_at": "2026-08-23T13:00:00.000Z",
"updated_at": "2026-08-23T14:05:00.000Z",
"last_checked_at": "2026-08-23T14:00:00.000Z",
"last_triggered_at": "2026-08-23T14:00:00.000Z",
"legacy": false
}
],
"capabilities": {
"plan": "watch",
"can_manage": true,
"can_use_monitors": true,
"can_create": true,
"public_enabled": true,
"max_monitors": 10,
"min_monitor_frequency": "hourly",
"can_use_monitor_webhook": true
}
}{
"success": false,
"error": "<string>",
"code": "<string>",
"details": {}
}{
"success": false,
"error": "<string>",
"code": "<string>",
"details": {}
}{
"success": false,
"error": "<string>",
"code": "<string>",
"details": {}
}{
"success": false,
"error": "<string>",
"code": "<string>",
"details": {}
}List the active organization’s shared Monitors and the caller’s current Monitor capabilities. Scheduled checks consume 0 QU.
curl --request GET \
--url https://gdeltcloud.com/api/v2/monitors \
--header 'Authorization: Bearer <token>'import requests
url = "https://gdeltcloud.com/api/v2/monitors"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://gdeltcloud.com/api/v2/monitors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"success": true,
"monitors": [
{
"id": "5e1d3b89-9c34-4fa1-80fc-17f72f782b33",
"organization_id": "88949d2a-4f00-45cb-9d23-2d242ddfe74d",
"created_by": "c6951b53-952b-40bf-99fd-c9d97a176f38",
"name": "Port disruption watch",
"description": "New coverage of port closures and shipping disruption in the United States.",
"enabled": true,
"subject": {
"type": "topic"
},
"criteria": {
"data": "events_and_stories",
"search": "port closure shipping disruption",
"countries": [
"USA"
],
"family_filters": {
"cameoplus": {
"domains": [
"INFRASTRUCTURE"
],
"subcategories": []
},
"story": {
"categories": [
"cameoplus_infrastructure"
]
}
},
"fatalities_only": false
},
"trigger": {
"type": "new_matches"
},
"schedule": {
"cadence": "hourly",
"timezone": "UTC",
"daily_hour": 8
},
"delivery": {
"email": true,
"webhook": {
"configured": true,
"endpoint": "https://example.com/gdelt-webhook",
"consecutive_failures": 0,
"last_success_at": "2026-08-23T14:05:00.000Z",
"last_failure_at": null
}
},
"created_at": "2026-08-23T13:00:00.000Z",
"updated_at": "2026-08-23T14:05:00.000Z",
"last_checked_at": "2026-08-23T14:00:00.000Z",
"last_triggered_at": "2026-08-23T14:00:00.000Z",
"legacy": false
}
],
"capabilities": {
"plan": "watch",
"can_manage": true,
"can_use_monitors": true,
"can_create": true,
"public_enabled": true,
"max_monitors": 10,
"min_monitor_frequency": "hourly",
"can_use_monitor_webhook": true
}
}{
"success": false,
"error": "<string>",
"code": "<string>",
"details": {}
}{
"success": false,
"error": "<string>",
"code": "<string>",
"details": {}
}{
"success": false,
"error": "<string>",
"code": "<string>",
"details": {}
}{
"success": false,
"error": "<string>",
"code": "<string>",
"details": {}
}